Copyright: Created with EasyHelp (Tel: 0973 209667)


Logic Gate/AND-4 - RG354203

Description

This block implements the boolean AND function for two inputs.  It provides both non-inverted and inverted outputs.

Parameters

Input 1	Sets Input 1 of the AND gate.  Expects either true or false.

Input 2	Sets Input 2 of the AND gate.  Expects either true or false.

Input 3	Sets Input 3 of the AND gate.  Expects either true or false.

Input 4	Sets Input 4 of the AND gate.  Expects either true or false.

Get Input 1	Returns the current state of input 1:  either true or false.

Get Input 2	Returns the current state of input 2:  either true or false.

Get Input 3	Returns the current state of input 3:  either true or false.

Get Input 4	Returns the current state of input 4:  either true or false.

Get Output	Returns the current state of the output:  either true or false.


Description

This block implements the boolean AND function for two inputs.  It provides both non-inverted and inverted outputs.


Parameters

Input 1	Sets Input 1 of the AND gate.  Expects either true or false.

Input 2	Sets Input 2 of the AND gate.  Expects either true or false.

Input 3	Sets Input 3 of the AND gate.  Expects either true or false.

Input 4	Sets Input 4 of the AND gate.  Expects either true or false.

Get Input 1	Returns the current state of input 1:  either true or false.

Get Input 2	Returns the current state of input 2:  either true or false.

Get Input 3	Returns the current state of input 3:  either true or false.

Get Input 4	Returns the current state of input 4:  either true or false.

Get Output	Returns the current state of the output:  either true or false.